#!/bin/bash
#Created by MaMa - Motofunvn.com
. /home/native/.profile
app='<font color="#FF0000">Fast Mode 1.4</font>'
mydir=`dirname "$0"` 
systmp="/tmp/system.tmp"
systmpfile="/tmp/systmp.tmp"

dm_setting_root=/ezx_user/download/appwrite/setup/
sysfile=${dm_setting_root}ezx_system.cfg
securityfile=/ezxlocal/download/appwrite/ezx_securitysetup.cfg

if [ -f $securityfile ]; then :;else securityfile="$sysfile"; fi
inputbox=$mydir/inputbox
showQ=$mydir/showQ

status0=`grep "USBStatus = 0" "$sysfile"`
status1=`grep "USBStatus = 1" "$sysfile"` 
status2=`grep "USBStatus = 2" "$sysfile"`
status3=`grep "USBStatus = 3" "$sysfile"`
SecuritySecurityCode=`grep "SecuritySecurityCode" "$securityfile"`
SecurityUnlockCode=`grep "SecurityUnlockCode" "$securityfile"`
Brightness=`grep "Brightness =" "$sysfile"`; Brightness=`echo ${Brightness#*=}`; Brightness="($(($Brightness * 2))%)"
SecurityAutoLockStatus=`grep "SecurityAutoLockStatus = 1" $sysfile`

if [ ! "$status0" = "" ]; then A="(D)"; fi
if [ ! "$status1" = "" ]; then B="(D)"; fi
if [ ! "$status2" = "" ]; then C="(D)"; fi
if [ ! "$status3" = "" ]; then D="(D)"; fi
if [ "$SecuritySecurityCode" = "" ]; then E="(D)"; fi	
if [ "$SecurityUnlockCode" = "" ]; then	F="(D)"; fi	
if [ "$SecurityAutoLockStatus" = "" ]; then G="(NO)"; elif [ ! "$SecurityAutoLockStatus" = "" ]; then G="(YES)"; fi	


chk () {
chown ezx "$1"
chgrp ezx "$1"
chmod 777 "$1"
}

chk $sysfile
chk $securityfile
mode () {
opt=`$inputbox -t "$app" -l "Choose mode:" -select -item "USB Modem $A" -item "USB Mass Storage $B" -item "USB Net $C" -item "USB Web Camera $D" -item "Reset Security Code $E" -item "Reset Unlock Code $F" -item "BackLight ${Brightness}" -item "Auto Lock $G" | sed -n s/^Select=//gp`
case "$opt" in
	0)
		if [ ! "$status0" = "" ]; then
			$showQ -u -g "$mydir/modem.png" -m "Current mode is being <font color="#FF0000">Modem</font>.<br>Don't need to change." -1 "" -t2
			mode		
		elif [ ! "$status1" = "" ] ; then
			sed -e s/^"USBStatus = 1"$/"USBStatus = 0"/g $sysfile > $systmp
			mv -f $systmp $sysfile
			$showQ -u -g "$mydir/storage.png" -m "USB Mode was changed to <font color="#FF0000">Modem</font>." -1 "" -t2
			
		elif [ ! "$status2" = "" ] ; then
			sed -e s/^"USBStatus = 2"$/"USBStatus = 0"/g $sysfile > $systmp
			mv -f $systmp $sysfile
			$showQ -u -g "$mydir/storage.png" -m "USB Mode was changed to <font color="#FF0000">Modem</font>." -1 "" -t2
			
		elif [ ! "$status3" = "" ] ; then
			sed -e s/^"USBStatus = 3"$/"USBStatus = 0"/g $sysfile > $systmp
			mv -f $systmp $sysfile
			$showQ -u -g "$mydir/storage.png" -m "USB Mode was changed to <font color="#FF0000">Modem</font>." -1 "" -t2
			
		fi	
		;;
	1) 	
		if [ ! "$status1" = "" ]; then
			$showQ -u -g "$mydir/modem.png" -m "Current mode is being <font color="#FF0000">Mass Storage</font>.<br>Don't need to change." -1 "" -t2
			mode
		elif [ ! "$status2" = "" ] ; then
			sed -e s/^"USBStatus = 2"$/"USBStatus = 1"/g $sysfile > $systmp
			mv -f $systmp $sysfile
			$showQ -u -g "$mydir/storage.png" -m "USB Mode was changed to <font color="#FF0000">Mass Storage</font>." -1 "" -t2
			
		elif [ ! "$status3" = "" ] ; then
			sed -e s/^"USBStatus = 3"$/"USBStatus = 1"/g $sysfile > $systmp
			mv -f $systmp $sysfile
			$showQ -u -g "$mydir/storage.png" -m "USB Mode was changed to <font color="#FF0000">Mass Storage</font>." -1 "" -t2
			
		elif [ ! "$status0" = "" ] ; then
			sed -e s/^"USBStatus = 0"$/"USBStatus = 1"/g $sysfile > $systmp
			mv -f $systmp $sysfile
			$showQ -u -g "$mydir/storage.png" -m "USB Mode was changed to <font color="#FF0000">Mass Storage</font>." -1 "" -t2
			
		fi	
		;;
		
	2)
		if [ ! "$status2" = "" ]; then
			$showQ -u -g "$mydir/modem.png" -m "Current mode is being <font color="#FF0000">USB Net</font>.<br>Don't need to change." -1 "" -t2
			mode
		
		elif [ ! "$status0" = "" ] ; then
			sed -e s/^"USBStatus = 0"$/"USBStatus = 2"/g $sysfile > $systmp
			mv -f $systmp $sysfile
			$showQ -u -g "$mydir/storage.png" -m "USB Mode was changed to <font color="#FF0000">USB Net</font>." -1 "" -t2
			
		elif [ ! "$status1" = "" ] ; then
			sed -e s/^"USBStatus = 1"$/"USBStatus = 2"/g $sysfile > $systmp
			mv -f $systmp $sysfile
			$showQ -u -g "$mydir/storage.png" -m "USB Mode was changed to <font color="#FF0000">USB Net</font>." -1 "" -t2
			
		elif [ ! "$status3" = "" ] ; then
			sed -e s/^"USBStatus = 3"$/"USBStatus = 2"/g $sysfile > $systmp
			mv -f $systmp $sysfile
			$showQ -u -g "$mydir/storage.png" -m "USB Mode was changed to <font color="#FF0000">USB Net</font>." -1 "" -t2
			
		fi	
		;;
	3)
		if [ ! "$status3" = "" ]; then
			$showQ -u -g "$mydir/modem.png" -m "Current mode is being <font color="#FF0000">Web Camera</font>.<br>Don't need to change." -1 "" -t2
			mode
		elif [ ! "$status0" = "" ] ; then
			sed -e s/^"USBStatus = 0"$/"USBStatus = 3"/g $sysfile > $systmp
			mv -f $systmp $sysfile
			$showQ -u -g "$mydir/storage.png" -m "USB Mode was changed to <font color="#FF0000">Web Camera</font>." -1 "" -t2
			
		elif [ ! "$status1" = "" ] ; then
			sed -e s/^"USBStatus = 1"$/"USBStatus = 3"/g $sysfile > $systmp
			mv -f $systmp $sysfile
			$showQ -u -g "$mydir/storage.png" -m "USB Mode was changed to <font color="#FF0000">Web Camera</font>." -1 "" -t2
			
		elif [ ! "$status2" = "" ] ; then
			sed -e s/^"USBStatus = 2"$/"USBStatus = 3"/g $sysfile > $systmp
			mv -f $systmp $sysfile
			$showQ -u -g "$mydir/storage.png" -m "USB Mode was changed to <font color="#FF0000">Web Camera</font>." -1 "" -t2
			
		fi	
		;;
	4)	
		exec $mydir/runsc.sh
		;;
	5)
		exec $mydir/runuc.sh
		;;
	6)	
		percents=`$inputbox -t "Input time:" -l "2~100 (percents)" -getinteger -d 10 -n 2 -x 100 | sed -n s/Integer=//gp`  
		if [ "$percents" = "" ]; then 
			$showQ -u -t1 -1 "" -g "" -m "Canceled" & 
		else
			cat $sysfile | sed -e 's/= /=/g' -e 's/ =/=/g' > $systmpfile
			Brightness=`grep "Brightness=" "$systmpfile"`; Brightness=`echo ${Brightness#*=}`
			Per=$(($percents / 2))
			sed s/^Brightness=${Brightness}$/Brightness=${Per}/g $systmpfile > $systmp
			cat $systmp | sed -e 's/=/ =/g' -e 's/=/= /g' > $systmpfile
			mv -f $systmpfile $sysfile	
			$showQ -u -t10 -1 "Ok" -2 "" -s "Dialog_Complete" -m "Back light was changed to <font color="#FF0000">$percents%</font>.<br>Plzz go to <font color="#0000FF">BackLight Setup</font> (don't do anything) to apply it."
			/usr/SYSqtapp/systemsetup/systemsetup
		fi	
		
		;;
	7)	
		First=`grep "SecurityAutoLockStatus" $sysfile`
		if [ ! "$First" = "" ]; then		
			if [ "$SecurityAutoLockStatus" = "" ]; then
				msg=`$showQ -u -s "Dialog_Browser_Unknown" -m "Auto Lock mode is Disable.<br>Do you want to Enable it?" -1 "Enable" -2 "Cancel" -t60`
				if [ "$msg" = "0" ]; then
					sed -e s/^"SecurityAutoLockStatus = 0"$/"SecurityAutoLockStatus = 1"/g $sysfile > $systmp
					mv -f $systmp $sysfile
					$showQ -u -g "$mydir/al.png" -m "Enable successful." -1 "" -t1
				else
					exit
				fi			
			elif [ ! "$SecurityAutoLockStatus" = "" ]; then
				msg=`$showQ -u -s "Dialog_Browser_Unknown" -m "Auto Lock mode is Enable.<br>Do you want to Disable it?" -1 "Disable" -2 "Cancel" -t60`
				if [ "$msg" = "0" ]; then
					sed -e s/^"SecurityAutoLockStatus = 1"$/"SecurityAutoLockStatus = 0"/g $sysfile > $systmp
					mv -f $systmp $sysfile
					$showQ -u -g "$mydir/al.png"  -m "Disable successful." -1 "" -t1
				else
					exit
				fi				
				
			fi
		else
			$showQ -u -g "$mydir/al.png"  -m "You need to manual turn On Phone Lock function of system (Once for all) before use this Fastmode's function." -1 "Ok" -2 "" -t20
			/usr/SYSqtapp/systemsetup/systemsetup
			
		fi	
		;;

		
esac

}
if [ ! -f $syspass ]; then cp -f $mydir/ezx_password_app.cfg ${dm_setting_root}; fi
mode
